version: '3'

services:
  nginx:
    restart: always
    container_name: open-msg-nginx
    image: nginx:latest
    environment:
      - TZ=Asia/Shanghai
    networks:
      - web
    ports:
      - "5000:443"
    volumes:
      - ./nginx/conf.d:/etc/nginx/conf.d
      - ./nginx/certs:/etc/nginx/certs
  nsrc-open-msg:
    restart: always
    container_name: nsrc-open-msg
    image: wuzhihui1123/nsrc-open-message:1.0.0
    environment:
      - TZ=Asia/Shanghai
    networks:
      - web
    volumes:
      - .:/opt/nsrc-open-message
networks:
  web:
    ipam:
      config:
        - subnet: 192.168.104.0/24


